package com.hp.user.service.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.hp.user.client.entity.DataResult;
import com.hp.user.client.entity.ElectricianVO;
import com.hp.user.client.entity.ListResult;
import com.hp.user.client.entity.PageQuery;
import com.hp.user.client.entity.PageResult;
import com.hp.user.client.entity.Result;
import com.hp.user.client.service.ElectricianService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@Api(tags="电工")
@RestController
@RequestMapping("/electrician")
public class ElectricianController {
	
	@Autowired
	private ElectricianService electricianService;
	
	/**
	 * 添加电工
	 * @param electrician
	 * @return
	 */
	@RequestMapping("/createElectrician")
    @ApiOperation(value = "添加电工", notes = "添加电工", httpMethod = "POST")
	public Result createElectrician(@RequestBody ElectricianVO electrician) {
		return electricianService.createElectrician(electrician);
	}
	
	/**
	 * 根据条件查询电工
	 * 如果page设置为-1，则不进行分页查询
	 * @param query
	 * @return
	 */
	@RequestMapping("/queryElectrician")
    @ApiOperation(value = "根据条件查询电工", notes = "根据条件查询电工", httpMethod = "POST")
	public PageResult<ElectricianVO> queryElectrician(@RequestBody PageQuery query) {
		return electricianService.queryElectrician(query);
	}
	
	/**
	 * 修改电工
	 * @param query
	 * @return
	 */
	@RequestMapping("/updateElectrician")
    @ApiOperation(value = "修改电工", notes = "修改电工", httpMethod = "POST")
	public Result updateElectrician(@RequestBody ElectricianVO electrician) {
		return electricianService.updateElectrician(electrician);
	}
	
	/**
	 * 根据id查询电工
	 * @param query
	 * @return
	 */
	@RequestMapping("/queryElectricianById")
    @ApiOperation(value = "根据id查询电工", notes = "根据id查询电工", httpMethod = "POST")
	public DataResult<ElectricianVO> queryElectricianById(String electricianId) {
		return electricianService.queryElectricianById(electricianId);
	}
}
